%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-common-core
Version:          2.5.0
Release:          1%{?dist}
Summary:          JBoss Common Classes
# Under Public Domain license src/main/java/org/jboss/util/Base64.java
License:          ASL 2.0 and Public Domain
URL:              http://www.jboss.org
Source0:          https://github.com/jboss/jboss-common-core/archive/%{name}-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
Provides:         bundled(java-base64) = 2.1

%description
JBoss Common Core Utility classes

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{namedversion}

# The URLLister* family of classes was removed because the
# apache-slide:webdavlib is a dead project and
# the classes aren't used in JBoss AS 7 at all
rm src/main/java/org/jboss/net/protocol/URLLister.java \
 src/main/java/org/jboss/net/protocol/URLListerBase.java \
 src/main/java/org/jboss/net/protocol/URLListerFactory.java \
 src/main/java/org/jboss/net/protocol/file/FileURLLister.java

%pom_change_dep org.jboss.logging:jboss-logging-spi org.jboss.logging:jboss-logging

# AssertionFailedError: expected:<333> but was:<324>
rm src/test/java/org/jboss/test/util/test/xml/resolver/JBossEntityResolverUnitTestCase.java

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Tue May 31 2016 gil cattaneo <puntogil@libero.it> 2.5.0-1
- update to 2.5.0.Final

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Aug 05 2015 gil cattaneo <puntogil@libero.it> 2.2.22-3
- fix FTBFS RHBZ#1239588
- fix BR list and use BRs mvn()-like
- minor changes for adapt to current guideline
- resolve some rpmlint problem
- remove duplicate files

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jul 01 2014 Marek Goldmann <mgoldman@redhat.com> - 2.2.22-1
- Upstream release 2.2.22.GA, upgrade to xmvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.18-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.2.18-11
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.18-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.18-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.2.18-8
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> 2.2.18-7
- Fixed BR

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.18-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 09 2012 Marek Goldmann <mgoldman@redhat.com> 2.2.18-5
- Relocated jars to _javadir

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 11 2011 Marek Goldmann <mgoldman@redhat.com> 2.2.18-3
- Requires typo

* Sun Oct 02 2011 Marek Goldmann <mgoldman@redhat.com> 2.2.18-2
- Another license field fix

* Tue Sep 20 2011 Marek Goldmann <mgoldman@redhat.com> 2.2.18-1
- Upstream release 2.2.18
- License field fix

* Mon Aug 01 2011 Marek Goldmann <mgoldman@redhat.com> 2.2.17-1
- Initial packaging

